﻿'
' Copyright (c) 2011, MindFusion LLC - Bulgaria.
'


Imports MindFusion.Charting.Wpf
Imports System.Windows.Media.Effects

Class AnnotationsWindow
    Inherits Window
    Public Sub New()

        InitializeComponent()

        barChart1.TitleFontSize = 18.0
        barChart1.GridType = GridType.Vertical
        barChart1.PlotAreaStroke = Brushes.LightGray
        barChart1.BarType = BarType.Horizontal

        barChart1.XAxes(0).LabelType = LabelType.CustomText
        barChart1.XAxes(0).CustomLabelPosition = CustomLabelPosition.AutoScalePoints
        barChart1.XAxes(0).MinValue = 9.0
        barChart1.XAxes(0).MaxValue = 19.0
        barChart1.XAxes(0).Interval = 1
        barChart1.XAxes(0).Title = "Hour"
        barChart1.XAxes(0).TitleFontSize = 14.0

        barChart1.YAxes(0).MinValue = 0.0
        barChart1.YAxes(0).MaxValue = 5.0
        barChart1.YAxes(0).Interval = 1.0
        barChart1.YAxes(0).LabelType = LabelType.CustomText
        barChart1.YAxes(0).Labels = New String() {"Monday", "Tuesday", "Wednesday", "Thursday", "Friday"}
        barChart1.YAxes(0).Title = ""

        barChart1.XAxes(0).LabelType = LabelType.CustomText
        barChart1.XAxes(0).Labels = New String() {"9:00", "10:00", "11:00", "12:00", "13:00", "14:00", "15:00", "16:00", "17:00", "18:00", "19:00"}

        Dim series As BarSeries = New BarSeries
        barChart1.Series.Add(series)
        Dim effect As DropShadowEffect = New DropShadowEffect()
        effect.ShadowDepth = 3
        effect.Opacity = 0.7
        series.Effect = effect


        series.XData = New DoubleCollection()
        series.XData.Add(11)
        series.XData.Add(16)
        series.XData.Add(14.3)
        series.XData.Add(12.3)
        series.XData.Add(17)

        series.YData = New DoubleCollection()
        series.YData.Add(1)
        series.YData.Add(2)
        series.YData.Add(3)
        series.YData.Add(4)
        series.YData.Add(5)

        barChart1.BarType = BarType.Horizontal

        series.Fills = New BrushCollection
        series.Fills.Add(New SolidColorBrush(Color.FromRgb(188, 255, 188)))
        series.Fills.Add(New SolidColorBrush(Color.FromRgb(255, 255, 128)))
        series.Fills.Add(New SolidColorBrush(Color.FromRgb(235, 181, 235)))
        series.Fills.Add(New SolidColorBrush(Color.FromRgb(255, 167, 167)))
        series.Fills.Add(New SolidColorBrush(Color.FromRgb(193, 193, 255)))

        series.Strokes = New BrushCollection
        series.Strokes.Add(New SolidColorBrush(Color.FromRgb(165, 232, 165)))
        series.Strokes.Add(New SolidColorBrush(Color.FromRgb(235, 235, 108)))
        series.Strokes.Add(New SolidColorBrush(Color.FromRgb(215, 161, 215)))
        series.Strokes.Add(New SolidColorBrush(Color.FromRgb(235, 147, 147)))
        series.Strokes.Add(New SolidColorBrush(Color.FromRgb(173, 173, 235)))

        Dim annotation1 As Annotation = New Annotation()
        annotation1.Index = 0
        annotation1.Label = "Break"
        annotation1.Value = 10.0
        annotation1.AnnotationType = AnnotationType.Point
        annotation1.Fill = Brushes.Green
        annotation1.Stroke = Brushes.Green
        series.Annotations.Add(annotation1)

        Dim annotation2 As Annotation = New Annotation()
        annotation2.Index = 1
        annotation2.Label = "Lunch"
        annotation2.Value = 12.0
        annotation2.AnnotationType = AnnotationType.Stick
        annotation2.Stroke = Brushes.Orange
        series.Annotations.Add(annotation2)

        Dim annotation3 As Annotation = New Annotation()
        annotation3.Index = 1
        annotation3.Label = "Snack"
        annotation3.Value = 15.0
        annotation3.AnnotationType = AnnotationType.Point
        annotation3.Fill = Brushes.Orange
        annotation3.Stroke = Brushes.Orange
        annotation3.Size = 10.0
        series.Annotations.Add(annotation3)

        Dim annotation4 As Annotation = New Annotation()
        annotation4.Index = 2
        annotation4.Label = "Meeting"
        annotation4.Value = 11.3
        annotation4.AnnotationType = AnnotationType.Stick
        annotation4.Stroke = Brushes.Purple
        series.Annotations.Add(annotation4)

        Dim annotation5 As Annotation = New Annotation()
        annotation5.Index = 2
        annotation5.Label = "? Call"
        annotation5.Value = 13.3
        annotation5.AnnotationType = AnnotationType.Empty
        annotation5.Stroke = Brushes.Purple
        series.Annotations.Add(annotation5)

        Dim annotation6 As Annotation = New Annotation()
        annotation6.Index = 3
        annotation6.Label = "Interview"
        annotation6.Value = 11
        annotation6.AnnotationType = AnnotationType.Point
        annotation6.Stroke = Brushes.DarkRed
        annotation6.Size = 7
        series.Annotations.Add(annotation6)

        Dim annotation7 As Annotation = New Annotation()
        annotation7.Index = 4
        annotation7.Label = "Conference"
        annotation7.Value = 10
        annotation7.AnnotationType = AnnotationType.Point
        annotation7.Stroke = Brushes.Blue
        annotation7.Fill = Brushes.LightBlue
        annotation7.Size = 8
        series.Annotations.Add(annotation7)

        Dim annotation8 As Annotation = New Annotation()
        annotation8.Index = 4
        annotation8.Label = "[Pause]"
        annotation8.Value = 13
        annotation8.AnnotationType = AnnotationType.Empty
        annotation8.Stroke = Brushes.Blue
        series.Annotations.Add(annotation8)

        Dim annotation9 As Annotation = New Annotation()
        annotation9.Index = 4
        annotation9.Label = "Wrap Up"
        annotation9.Value = 16
        annotation9.AnnotationType = AnnotationType.Stick
        annotation9.Stroke = Brushes.Blue
        annotation9.Size = 7
        series.Annotations.Add(annotation9)
    End Sub

End Class
